/*
 * Copyright 1995 TriloBYTE Software Solutions.
 *
 * Author: Amen Zwa, TriloBYTE.
 */



static char* sccsid = "%W%\t%G%\tAmen Zwa, TriloBYTE.";



// menu.c: menu for image server



#include "menu.h"



WMenuItem file_pdm[] = {
    { "Quit", &xmPushButtonWidgetClass, '\0', "Meta<Key>q:", "Meta+Q",
	mklong(im_file_pdm, im_quit_itm), 0 },
    { 0, 0, 0, 0, 0, 0, 0 }
};



void Menu::do_file_pdm(short itm)
{
    switch (itm) {
    case im_quit_itm:
	cleanup();
	exit(0);
	break;
    }
}



void Menu::menu_select(long id)
{
    short pdm = hishort(id);
    short itm = loshort(id);
    switch (pdm) {
    // File pulldown menu
    case im_file_pdm:
        do_file_pdm(itm);
	break;
    }
}
